data:extend({

	{
    type = "wall",
    name = "concrete-wall",
    icon = "__concrete-wall__/concrete-wall.png",
    flags = {"placeable-neutral", "player-creation"},
    collision_box = {{-1.29, -1.29}, {1.29, 1.29}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    minable = {mining_time = 1, result = "concrete-wall"},
    fast_replaceable_group = "wall",
    max_health = 1500,
    repair_speed_modifier = 2,
    corpse = "wall-remnants",
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
    -- this kind of code can be used for having walls mirror the effect
    -- there can be multiple reaction items
    --attack_reaction =
    --{
      --{
        ---- how far the mirroring works
        --range = 2,
        ---- what kind of damage triggers the mirroring
        ---- if not present then anything triggers the mirroring
        --damage_type = "physical",
        ---- caused damage will be multiplied by this and added to the subsequent damages
        --reaction_modifier = 0.1,
        --action =
        --{
          --type = "direct",
          --action_delivery =
          --{
            --type = "instant",
            --target_effects =
            --{
              --type = "damage",
              ---- always use at least 0.1 damage
              --damage = {amount = 0.1, type = "physical"}
            --}
          --}
        --},
      --}
    --},
    resistances =
    {
      {
        type = "physical",
        decrease = 3,
        percent = 20
      },
      {
        type = "impact",
        decrease = 45,
        percent = 60
      },
      {
        type = "explosion",
        decrease = 10,
        percent = 30
      },
      {
        type = "fire",
        percent = 100
      },
      {
        type = "laser",
        percent = 70
      }
    },
	--Get someone to make these, can't draw
    -- pictures =
    -- {
      -- single =
      -- {
        -- layers =
        -- {
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-single.png",
            -- priority = "extra-high",
            -- width = 22,
            -- height = 42,
            -- shift = {0, -0.15625}
          -- },
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-single-shadow.png",
            -- priority = "extra-high",
            -- width = 47,
            -- height = 32,
            -- shift = {0.359375, 0.5},
            -- draw_as_shadow = true
          -- }
        -- }
      -- },
      -- straight_vertical =
      -- {
        -- {
          -- layers =
          -- {
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-vertical-1.png",
              -- priority = "extra-high",
              -- width = 22,
              -- height = 42,
              -- shift = {0, -0.15625}
            -- },
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-vertical-shadow.png",
              -- priority = "extra-high",
              -- width = 47,
              -- height = 60,
              -- shift = {0.390625, 0.625},
              -- draw_as_shadow = true
            -- }
          -- }
        -- },
        -- {
          -- layers =
          -- {
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-vertical-2.png",
              -- priority = "extra-high",
              -- width = 22,
              -- height = 42,
              -- shift = {0, -0.15625}
            -- },
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-vertical-shadow.png",
              -- priority = "extra-high",
              -- width = 47,
              -- height = 60,
              -- shift = {0.390625, 0.625},
              -- draw_as_shadow = true
            -- }
          -- }
        -- },
        -- {
          -- layers =
          -- {
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-vertical-3.png",
              -- priority = "extra-high",
              -- width = 22,
              -- height = 42,
              -- shift = {0, -0.15625}
            -- },
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-vertical-shadow.png",
              -- priority = "extra-high",
              -- width = 47,
              -- height = 60,
              -- shift = {0.390625, 0.625},
              -- draw_as_shadow = true
            -- }
          -- }
        -- }
      -- },
      -- straight_horizontal =
      -- {
        -- {
          -- layers =
          -- {
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-horizontal-1.png",
              -- priority = "extra-high",
              -- width = 32,
              -- height = 42,
              -- shift = {0, -0.15625}
            -- },
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-horizontal-shadow.png",
              -- priority = "extra-high",
              -- width = 59,
              -- height = 32,
              -- shift = {0.421875, 0.5},
              -- draw_as_shadow = true
            -- }
          -- }
        -- },
        -- {
          -- layers =
          -- {
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-horizontal-2.png",
              -- priority = "extra-high",
              -- width = 32,
              -- height = 42,
              -- shift = {0, -0.15625}
            -- },
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-horizontal-shadow.png",
              -- priority = "extra-high",
              -- width = 59,
              -- height = 32,
              -- shift = {0.421875, 0.5},
              -- draw_as_shadow = true
            -- }
          -- }
        -- },
        -- {
          -- layers =
          -- {
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-horizontal-3.png",
              -- priority = "extra-high",
              -- width = 32,
              -- height = 42,
              -- shift = {0, -0.15625}
            -- },
            -- {
              -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-straight-horizontal-shadow.png",
              -- priority = "extra-high",
              -- width = 59,
              -- height = 32,
              -- shift = {0.421875, 0.5},
              -- draw_as_shadow = true
            -- }
          -- }
        -- }
      -- },
      -- corner_right_down =
      -- {
        -- layers =
        -- {
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-corner-right-down.png",
            -- priority = "extra-high",
            -- width = 27,
            -- height = 42,
            -- shift = {0.078125, -0.15625}
          -- },
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-corner-right-down-shadow.png",
            -- priority = "extra-high",
            -- width = 53,
            -- height = 61,
            -- shift = {0.484375, 0.640625},
            -- draw_as_shadow = true
          -- }
        -- }
      -- },
      -- corner_left_down =
      -- {
        -- layers =
        -- {
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-corner-left-down.png",
            -- priority = "extra-high",
            -- width = 27,
            -- height = 42,
            -- shift = {-0.078125, -0.15625}
          -- },
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-corner-left-down-shadow.png",
            -- priority = "extra-high",
            -- width = 53,
            -- height = 60,
            -- shift = {0.328125, 0.640625},
            -- draw_as_shadow = true
          -- }
        -- }
      -- },
      -- t_up =
      -- {
        -- layers =
        -- {
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-t-down.png",
            -- priority = "extra-high",
            -- width = 32,
            -- height = 42,
            -- shift = {0, -0.15625}
          -- },
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-t-down-shadow.png",
            -- priority = "extra-high",
            -- width = 71,
            -- height = 61,
            -- shift = {0.546875, 0.640625},
            -- draw_as_shadow = true
          -- }
        -- }
      -- },
      -- ending_right =
      -- {
        -- layers =
        -- {
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-ending-right.png",
            -- priority = "extra-high",
            -- width = 27,
            -- height = 42,
            -- shift = {0.078125, -0.15625}
          -- },
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-ending-right-shadow.png",
            -- priority = "extra-high",
            -- width = 53,
            -- height = 32,
            -- shift = {0.484375, 0.5},
            -- draw_as_shadow = true
          -- }
        -- }
      -- },
      -- ending_left =
      -- {
        -- layers =
        -- {
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-ending-left.png",
            -- priority = "extra-high",
            -- width = 27,
            -- height = 42,
            -- shift = {-0.078125, -0.15625}
          -- },
          -- {
            -- filename = "__concrete-wall__/graphics/entity/concrete-wall/wall-ending-left-shadow.png",
            -- priority = "extra-high",
            -- width = 53,
            -- height = 32,
            -- shift = {0.328125, 0.5},
            -- draw_as_shadow = true
          -- }
        -- }
      -- }
    -- }
  }
})